<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="ointroduccionprototipos.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	/* Vamos a crear una clase padre */

	class Persona{
		// propiedad privada
		#nombre="";
	
	 // metodos publicos
	 dormir(){
		console.log("ZZZZZZZZZZZZ");
	};
	
	hablar(){
		console.log("BLA BLA BLA");
	};
	
	contar(){
		console.log("1 2 3 4 5 6");
	};
	
	// setter
	set nombre(valor){
		this.#nombre=valor;
	};
	
	//getter
	get nombre(){
		return this.#nombre;
	};
	
	}
		
	/* Vamos a crear una clase hija */
	
	class Hija extends Persona{
		constructor(){
			super();
			this.atributoHijo=18;
		}
	}
	
	/* vamos a crear un objeto desde la clase hija */
	
	var Ana=new Hija();
	
	/* Vamos a crear un objeto desde la clase padre */
	
	var Ramon=new Persona();
	
	console.log(Ana.atributoHijo);
	console.log(Ana);
	console.log(Ramon);

</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejemplo prototipos
</div>
<div class="explicacion">
	Mediante este ejemplo vamos a darnos cuenta como utilizamos las clases de Javascript para la herencia de objetos.
</div>
</div>
</body>
</html>
